# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Canonical Vocabs for BIG-bench SeqIO Tasks and Mixtures."""

from bigbench.bbseqio import task_api
import t5.data

T5_DEFAULT_VOCAB = task_api.SeqIOVocabulary("t5_default", "Default T5 vocab",
                                            t5.data.get_default_vocabulary())

# Add new vocabs here.
ALL_VOCABS = {vocab.name: vocab for vocab in [T5_DEFAULT_VOCAB]}
